
local CSW = GLOBAL.rawget(GLOBAL, "CAPY_DLC") and GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)

local prevent_pinecone = GetModConfigData("pinecone")
local prevent_livinglog = GetModConfigData("livinglog")
local prevent_jungletreeseed = GetModConfigData("jungletreeseed") and CSW
local prevent_boards = GetModConfigData("boards") and CSW
local prevent_palmleaf = GetModConfigData("palmleaf") and CSW


if prevent_pinecone then
	AddPrefabPostInit("pinecone", function(inst) inst:RemoveComponent("edible") end)
end

if prevent_jungletreeseed then
	AddPrefabPostInit("jungletreeseed", function(inst) inst:RemoveComponent("edible") end)
end

if prevent_livinglog then
	AddPrefabPostInit("livinglog", function(inst) inst:RemoveComponent("edible") end)
end

if prevent_boards then
	AddPrefabPostInit("boards", function(inst) inst:RemoveComponent("edible") end)
end

if prevent_palmleaf then
	AddPrefabPostInit("palmleaf", function(inst) inst:RemoveComponent("edible") end)
end



